
Bltcon0 =	 $dff040	;Blitter Kontrollregister 1
Bltcon1 =	 $dff042	;Blitter Kontrollregister 1
Bltcpt = 	 $dff048	;Zeiger auf Quelle C (High)
Bltcptl = 	 $dff04a	;Zeiger auf Quelle C (Low)
Bltbpth = 	 $dff04c	;Zeiger auf Quelle B (High)
Bltbpt = 	 $dff04c	;Zeiger auf Quelle B (High)
Bltbptl =	 $dff04e	;Zeiger auf Quelle B (low)
Bltapth =	 $dff050	;Zeiger auf Quelle A (High)
Bltapt =	 $dff050	;Zeiger auf Quelle A (High)
Bltaptl =	 $dff052	;Zeiger auf Quelle A (low)
Bltdpth =	 $dff054	;Zeiger auf Quelle D (High)
Bltdpt =	 $dff054	;Zeiger auf Quelle D (High)
Bltdptl =	 $dff056	;Zeiger auf Quelle D (low)
Bltcmod = 	 $dff060	;Modulo Wert fuer Quelle C
Bltbmod = 	 $dff062	;Modulo Wert fuer Quelle B
Bltamod =	 $dff064	;Modulo Wert fuer Quelle A
Bltdmod =	 $dff066	;Modulo Wert fuer Ziel D
Bltsize =	 $dff058	;Hoehe u. Breite des Blitterfensters
Bltcdat = 	 $dff070	;Datenregister Quelle C
Bltbdat = 	 $dff072	;Datenregister Quelle B
Bltadat = 	 $dff074	;Datenregister Quelle A
Bltafwm =	 $dff044	;Maske f. 1. Datenwort v. Quelle A
Bltalwm =	 $dff046	;Maske f. 1. Datenwort v. Quelle B
	
	section	svgmenu,code_c
run:
	move.w 	#%1000011111000000,$dff096
	move.l 	$4.w,a6
	jsr 	-132(a6)

	bsr	sternon
	bsr 	fuellcopper
	bsr 	planeset
	bsr 	gfxopen
	bsr 	bitplanes               ;Routine BitPlanes in CopperList
	bsr	small_write
	bsr	multi_sin
	lea 	CopperListe,a1           
	move.l 	a1,$dff080           ;Pointer auf CopperListe in COP1LOC
	clr.w 	$dff088
	move  	#$20,$dff096
	move.l 	#0,d5
	bsr	irqon

	bsr 	mouse

	bsr	irqoff
	move.l 	GfxBase,a0
	move.l 	38(a0),$dff080
	clr.w 	$dff088

	move.l 	$4.w,a6
	jsr 	-138(a6)
	move.b 	#252,$bfe001
  
	bsr	load_what
	bsr	load_it
	rts

load_what:
	move.l	movi,d0
	divs	#9*52,d0
	cmpi.b	#0,d0
	bne	cc1
	move.l	#c0,commando
cc1:
	cmpi.b	#1,d0
	bne	cc2
	move.l	#c1,commando
cc2:
	cmpi.b	#2,d0
	bne	cc3
	move.l	#c2,commando
cc3:
	cmpi.b	#3,d0
	bne	cc4
	move.l	#c3,commando
cc4:

			cmpi.b	#4,d0
			bne	cc5
			move.l	#c4,commando
cc5:

			cmpi.b	#5,d0
			bne	cc6
			move.l	#c5,commando
cc6:

			cmpi.b	#6,d0
			bne	cc7
			move.l	#c6,commando
cc7:

			cmpi.b	#7,d0
			bne	cc8
			move.l	#c7,commando
cc8:

			cmpi.b	#8,d0
			bne	cc9
			move.l	#c8,commando
cc9:

			cmpi.b	#9,d0
			bne	cc10
			move.l	#c9,commando
cc10:

			cmpi.b	#10,d0
			bne	cc11
			move.l	#c10,commando
cc11:

			cmpi.b	#11,d0
			bne	cc12
			move.l	#c11,commando
cc12:

			cmpi.b	#12,d0
			bne	cc13
			move.l	#c12,commando
cc13:

			cmpi.b	#13,d0
			bne	cc14
			move.l	#c13,commando
cc14:

			cmpi.b	#14,d0
			bne	cc15
			move.l	#c14,commando
cc15:

			cmpi.b	#15,d0
			bne	cc16
			move.l	#c15,commando
cc16:

			cmpi.b	#16,d0
			bne	cc17
			move.l	#c16,commando
cc17:

			cmpi.b	#17,d0
			bne	cc18
			move.l	#c17,commando
cc18:

			cmpi.b	#18,d0
			bne	cc19
			move.l	#c18,commando
cc19:

			cmpi.b	#19,d0
			bne	cc20
			move.l	#c19,commando
cc20:

			cmpi.b	#20,d0
			bne	cc21
			move.l	#c20,commando
cc21:

			cmpi.b	#21,d0
			bne	cc22
			move.l	#c21,commando
cc22:

			cmpi.b	#22,d0
			bne	cc23
			move.l	#c22,commando
cc23:
	rts

load_it:
	move.l	#load_beg,a0
	move.l	#load_end-load_beg,d0
	move.l	#$7f000,a1

copy_it:
	move.b	(a0)+,(a1)+
	dbf	d0,copy_it
	jmp	$7f000
	rts			;Obwohls dazu nicht kommt

load_beg:
free_old_mem:
		move.l	#run,a1
		move.l	#aus-run,d0
		move.l	$4,a6
		jsr	-210(a6)	;FreeMem

dos_open:
		move.l	$4.w,a6
		move.l	#dosname,a1
		jsr	-408(a6)	;OldOpenLibrary
		move.l	d0,dosbase	
		move.l	commando,d1
		move.l	#0,d2
		move.l	#0,d3
		move.l	dosbase,a6
		jsr	-222(a6)	;Execute

alloc_old_mem:
		move.l	#run,a1
		move.l	#aus-run,d0
		move.l	$4,a6
		jsr	-204(a6)	;AllocAbs
	move.l	(a7)+,d0
	rts

load_end:
commando:	dc.l	0
dosname:	dc.b	"dos.library",0
	even
dosbase:	dc.l	0

fuellcopper:
	lea	col_tab,a1
	lea	green,a0
	move.w  #20,d1
	move.w 	#99,d0

fcop2:
	move.w  (a1)+,d2
	cmpi.w  #$ffff,(a1)
	bne	not_col_end
	lea	col_tab,a1
	jmp	fcop2
not_col_end:
	addi.w	#2,d1
	move.b  d1,(a0)+
	move.b  #$c1,(a0)+
	move.w  #$fffe,(a0)+
	move.w  #$182,(a0)+
	move.w  d2,(a0)+
	move.w  #$184,(a0)+
	move.w  d2,(a0)+
	move.w  #$188,(a0)+
	move.w  d2,(a0)+
	cmpi.w	#76,d1
	beq	fcex

dododi:
	dbf	d0,fcop2
	rts

fcex:
	move.l	#$00960100,(a0)+
	move.l	#$01003200,(a0)+
	move.l	a0,pla1
	move.l	#$00e00000,(a0)+
	move.l	#$00e20000,(a0)+
	move.l	#$00e40000,(a0)+
	move.l	#$00e60000,(a0)+
	move.l	#$00e80000,(a0)+
	move.l	#$00ea0000,(a0)+
	move.l	#$00968100,(a0)+
	jmp	dododi

pla1:	dc.l	0

col_tab:
	dc.w	$f40,$f50,$f60,$f70,$f80,$f90,$fa0,$fb0,$fc0,$fd0,$fe0,$ff0,$fe0
	dc.w	$fd0,$fc0,$fb0,$fa0,$f90,$f80,$f70,$f60,$f50,$f40
	dc.w 	$ffff

***************************************
****         IRQ Level 3 ein       ****
***************************************

irqon:
	move.w #$4000,$dff09a
	move.l $6c,irqbase+2
	move.l #irq,$6c
	move.w #$c000,$dff09a
	rts
***************************************
****         IRQ Level 3           ****
***************************************

irq:
	movem.l d0-d7/a0-a6,-(sp)
	jsr	sterngo	
	movem.l (sp)+,d0-d7/a0-a6
irqbase:
	jmp $00000000


nun: dc.w 0
***************************************
****         IRQ Level 3 aus       ****
***************************************
irqoff:
	move.w #$4000,$dff09a
	move.l irqbase+2,$6c
	move.w #$c000,$dff09a
	rts

***************************************
******  MouseButton-Abfrage  **********
***************************************
hv: dc.w 0
zaehler: dc.w 0
acht: dc.w 0
where:	dc.w 	0

mouse:
	cmpi.b 	#190,$dff006
	bne.s	mouse
	jsr	mouse_movement	
	cmpi.w	#0,direction
	beq	not_new				
	btst	#15,direction
	beq	m_pos

m_neg:
	addi.w	#1,direction
	subi.l	#3*52,movi
	cmpi.l  #$f0000000,movi
	bls     m_drueber
	move.l  #00,movi

m_drueber:
	jmp	m_aus

m_pos:
	subi.w  #1,direction
	add.l	#3*52,movi	

				cmpi.l  #(hm-1)*9*52,movi
				bls     m_drunter
				move.l  #(hm-1)*9*52,movi
m_drunter:

m_aus:
			jsr	bitplanes2
m_aus2:

not_new:
	addi.w 	#4,where
	cmpi.w 	#8,where
	bne	notwhere
	move.w  #0,where

notwhere:

		move.w 	#4,d0
		sub.w 	where,d0
		lea 	bpp1,a0
		add.w   d0,a0
		move.l	a0,a6
		move.l  (a0),d0
		move.w  d0,bp1l+2
		swap 	d0
		move.w  d0,bp1h+2
		swap 	d0
		add.l   #52,d0
		move.w  d0,bp3l+2
		swap 	d0
		move.w  d0,bp3h+2
		swap    d0
		add.l   #52,d0
		move.w  d0,bp5l+2
		swap 	d0
		move.w  d0,bp5h+2
		swap    d0
			move.l	pla1,a1
			move.l	(a6),d0
			addi.l	#52*34,d0
				move.l	d0,raus
			add.w	#6,a1
			move.w	d0,(a1)
			sub.w	#4,a1
			swap	d0
			move.w	d0,(a1)

			add.w	#12,a1
			swap	d0
			addi.l	#52,d0
			move.w	d0,(a1)
			sub.w	#4,a1
			swap	d0
			move.w	d0,(a1)

			add.w	#12,a1
			swap	d0
			addi.l	#52,d0
			move.w	d0,(a1)
			sub.w	#4,a1
			swap	d0
			move.w	d0,(a1)
	jsr clear
	jsr sinusmake(pc)
	addi.w #1,zaehler
	cmpi.w #18,zaehler
	bls abfragemaus
	move.w #0,zaehler
	jsr lettergo

abfragemaus:
	jsr scroll
	btst	#6,$bfe001
	bne mouse
	btst #6,$bfe001
	bne mouse
	rts

raus:	dc.l	0

small_write: 
	move.w  #-1,sletter
	move.w  #-1,szeile
	move.w  #26,sspalte
	move.l 	#auswahl+(59*52)+6,a0

next_small_letter:
	addi.w  #1,sletter
	addi.w  #1,sspalte
	cmpi.w  #27,sspalte
	bne 	not_next_row
	move.w	#0,sspalte
	add.w  	#1,szeile
	cmpi.w	#hm,szeile
	beq	small_end

not_next_row:
	move.l  #0,d0
	move.w  szeile,d0
	muls	#9*52,d0
	add.w	sspalte,d0
	move.l  a0,a1
	add.w   d0,a1
	move.l	#0,d3
	move.l 	#sm_text,a2
	add.w	sletter,a2
	move.b	(a2),d3
	move.l	#0,d4
	move.l  #0,d5
	move.l 	#s_search_tab,a3

s_search:
	move.b 	(a3)+,d4
	move.b 	(a3)+,d5
	cmp.b 	d3,d4
	bne    	s_search
	move.l 	#small_alpha,a5		; Source
	add.w   d5,a5			
	move.w  #7,d1			;Zeilen

print_letter:
	move.b	(a5),(a1)
	add.l	#58,a5
	add.l   #52,a1
	dbf	d1,print_letter
	jmp 	next_small_letter

small_end:
	rts

sletter:	dc.w	0
szeile:		dc.w	0
sspalte:	dc.w	0

s_search_tab:
	dc.b  "a",0,"b",1,"c",2,"d",3,"e",4,"f",5
	dc.b  "g",6,"h",7,"i",8,"j",9,"k",10,"l",11
	dc.b  "m",12,"n",13,"o",14,"p",15,"q",16
	dc.b  "r",17,"s",18,"t",19,"u",20,"v",21,"w",22
	dc.b  "x",23,"y",24,"z",25,"1",26,"2",27,"3",28
	dc.b  "4",29,"5",30,"6",31,"7",32,"8",33,"9",34
	dc.b  "0",35,"(",36,")",37,"\",38,"C",39,"+",40
	dc.b  "-",41,"=",42,"]",43,"[",44,",",45,".",46
	dc.b  ">",47,"<",48,"!",49,"$",50,"&",51,"?",52
	dc.b  "R",53,"L",54,"A",55,"O",56," ",57

small_alpha:	
	incbin	"small.pic"
	dcb.b	464,0

mouse_movement:
	move.b	$dff00a,d0
	move.b	mousemerk,d1
	sub.b  	d0,d1
	move.b	d0,mousemerk
	move.b	d1,d0
	btst	#7,d0
	beq	not_neg

negativ:
	add.w	#-3,direction
	jmp  	not_pos

not_neg:			
	cmpi.b	#0,d0
	beq	not_pos

positiv:
	add.w	#3,direction
					
not_pos:
	rts
direction:	dc.w 	0
mousemerk:	dc.w 	0
movi:		dc.l	0
***************************************
*** BitPlanePointer in CopperListe ****
***************************************
	even
bitplanes:
	move.l	#6,d6	;Anzahl der Planes

	lea	bpp1+4,a0		;zeiger auf bitplanes
	lea	bp1h+2,a1	;hiword der pointer
	lea	bp1l+2,a2	;loword	der pointer
p1:	move.l	(a0)+,d0	;zeiger holen
        move.w	d0,(a2)		;loword schreiben		
	swap	d0
	move.w	d0,(a1)		;hiword schreiben
	adda.l	#8,a1		;pointer auf coplist
	adda.l	#8,a2		;weitersetzen
	subq.l	#1,d6		;alle planes
	bne	p1		;nein
	rts

bitplanes2:
	move.l	#auswahl,d0
	add.l	movi,d0
	swap	d0
	move.w  d0,bp1h_2+2
	swap	d0
	move.w  d0,bp1l_2+2

	rts

planeset:	
	move.l #screen,bpp1
	move.l #screen+(1*416*256/8),bpp1+4
	move.l #screen1-2,bpp1+8
	move.l #screen+(1*416*256/8),bpp1+12
	move.l #screen1-2+(1*416*256/8),bpp1+16
	move.l #screen+(2*416*256/8),bpp1+20
	move.l #screen1-2+(2*416*256/8),bpp1+24
	move.l #screen2,platz
	rts


bpp1:	dcb.l	7,0	;Zeiger auf die Planes
platz:	dc.l	0

***************************************
*******  Graphics Library  ************
***************************************

gfxopen:
  move.l $4,a6
  lea GfxName,a1
  move.l #0,d0
  jsr -552(a6)
  move.l d0,GfxBase
  rts
	even
GfxName: dc.b "graphics.library",0
	even
GfxBase: dc.l 0

clear:
	btst 	#14,$dff002
	bne.s   clear
	move.l  #$dff000,a6
	move.w  #%0000000100000000,$40(a6)
	move.w  #$0000,$66(a6)
	lea 	bpp1,a0
	add.w   where,a0
	move.l  (a0),d0
	add.l   #10*52,d0
	move.l  d0,$54(a6)
	move.w  #170*64+26,$58(a6)
	rts

******************************************************
*** Routine verschiebt Grafiken um "points" Punkte ***
*** nach links vom "ystart"-Wert an "lines" Zeilen ***
*** lang  (Bildschirm = 416 Pixel)                 ***
******************************************************
;BLTDPT = $dff054
;BLTAPT = $dff050
;BLTBPT = $dff04c
;BLTBMOD = $dff062
;BLTAMOD = $dff064
;BLTDMOD = $dff066
;BLTCON0 = $dff040
;BLTCON1 = $dff042
;BLTAFWM = $dff044
;BLTALWM = $dff046

	
bpl1: dc.l 0
bpl2: dc.l 0
bpl3: dc.l 0
bpl4: dc.l 0
bpl5: dc.l 0
maske: dc.w 0
pair: dc.w 0
pen: dc.l 0

sinusmake:
	btst 	#14,$dff002
	bne	sinusmake

	move.l 	#$dff000,a6

	move.w 	#50+(2*52),$66(a6)		; D-Modulo
	move.w 	#50+(2*52),$62(a6)
	move.w 	#50,$64(a6) 		; A-Modulo  
	move.w 	#$0000,$42(a6)       ; keine Extrawuensche

ssl:
	addi.l #12,pen
	cmpi.l #720,pen
	bne sincont1
	move.l #0,pen
sincont1:
	lea platz,a5
	clr.l d7
	clr.l d1
	lea sssinus(pc),a1
	adda.l pen,a1
	move.l #2,d4

	move.l #0,d6

	lea 	bpp1(pc),a0
	add.w	where,a0


schleiffe:
	move.w #%0000110111111100,d3    ;0000100111110000 
	move.w #%1100000000000000,d5
	lsr.w d6,d5
	lsr.w d6,d5

	cmpi.b #0,d6
	bne.s sincont11
	move.w #%0000100111110000,d3     ;0000100111110000 
	jmp sincont11   

sincont11:
	move.l d4,d1
	add.l (a5),d1
	move.w (a1),d0
	mulu #52,d0
	addi.l #5*52,d0
	add.l (a0),d0
	add.l d4,d0


blttstsin:
	btst #14,$dff002
	bne.s blttstsin
	move.l d1,$50(a6)		;Quellbereich A     
	move.l d0,$54(a6)                ; Zielbereich D
	move.l d0,$4c(a6)		 ; Quellbereich C
	move.w d3,$40(a6)
	move.w d5,$44(a6)       ; Maske(Beginn)
	move.w #25*64+1,$58(a6)
	addq.w #1,d6
	cmpi.b #8,d6
	bne sincont4
	move.b #$0,d6
	addi.l #$2,d4

sincont4:
	adda.l #6,a1
	cmpi.b #42,d4
	bls schleiffe
	rts

sssinus:
	incbin	"sssinus"
	dcb.b 3*720,0
	dcb.b 10,0

**************************************************
**** Routine schreibt 32*30 grosse Buchstaben ****
**** an die rechte Seite der Bitplane         ****
**** Buchstaben muessen mit "ri" an "abcd"    ****
**** geladen werden...                        ****
**************************************************
ww: dc.w 0
www: dc.w 0
buchstabe: dc.l 0
fut: dc.l 0
xx: dc.l 0
yy: dc.l 0
startagain:
	move.l #0,buchstabe

lettergo:
	lea platz,a1
	addi.l #1,buchstabe

	move.l buchstabe,d2
	lea text,a3
	adda.l d2,a3
	clr.l d2
	move.b (a3),d2
	cmpi.b #$ff,d2
	beq startagain
 
	move.l d2,fut
	lea buchstaben-6,a2
suchen:
	adda.l #6,a2
	cmp.w (a2),d2
	bne suchen
	adda.l #2,a2
	move.w (a2),d2
	move.l d2,xx
	adda.l #2,a2
	move.w (a2),d2
	move.l d2,yy

letterschleife:
	btst #14,$dff002
	bne.s letterschleife


	lea abcd,a0
	adda.l xx,a0
	move.l yy,d0
	mulu #40,d0
	adda.l d0,a0
	move.l a0,d0




	move.w #$0000,BLTCON1       ; keine Extrawuensche

	move.l d0,BLTAPT		;Quellbereich A     

	subi.l #2,d0

	move.w #36,BLTAMOD 		; A-Modulo

	move.l (a1),d1
	addi.l #46,d1    
	move.l d1,BLTDPT                ; Zielbereich D

	move.w #48,BLTDMOD		; D-Modulo

	move.w #%0000100111110000,d5  
	move.w d5,BLTCON0     ; BPLTCON0 (ABC Kombinationen)

	move.w #$ffff,BLTAFWM       ; Maske(Beginn)

	move.w #$ffff,BLTALWM       ; Maske(Ende)
	move.w #25*64+2,BLTSIZE

	rts
	even
buchstaben:
	dc.w "a",0,0,"b",4,0,"c",8,0,"d",12,0,"e",16,0
	dc.w "f",20,0,"g",24,0,"h",28,0,"i",32,0,"j",36,0
	dc.w "k",0,25,"l",4,25,"m",8,25,"n",12,25,"o",16,25
	dc.w "p",20,25,"q",24,25,"r",28,25,"s",32,25,"t",36,25
	dc.w "u",0,50,"v",4,50,"w",8,50,"x",12,50,"y",16,50
	dc.w "z",20,50,"1",24,50,"2",28,50,"3",32,50,"4",36,50
	dc.w "5",0,75,"6",4,75,"7",8,75,"8",12,75,"9",16,75
	dc.w "0",20,75,".",24,75,",",28,75,"'",32,75,"!",36,75
	dc.w "?",0,100,"[",4,100,"]",8,100,"/",12,100
	dc.w "A",16,100,"S",20,100,":",24,100,"C",28,100
	dc.w "J",32,100," ",36,100

******************************************************
*** Routine verschiebt Grafiken um "points" Punkte ***
*** nach links vom "ystart"-Wert an "lines" Zeilen ***
*** lang  (Bildschirm = 416 Pixel)                 ***
******************************************************

much: dc.w 1   ; Wie viele BitPlanes
points: dc.w 1

scroll:
	clr.l d7
	clr.l d1
	lea platz,a0
	move.l #15,d6
	sub.w points,d6
	muls #4096,d6

schleife:
	btst #14,$dff002
	bne.s schleife
	move.l (a0),d0
	addi.l #2,d0    
	move.w #$0000,BLTCON1       ; keine Extrawuensche
	move.l d0,BLTAPT		;Quellbereich A     
	subi.l #2,d0
	move.w #2,BLTAMOD 		; A-Modulo
	move.l d0,BLTDPT                ; Zielbereich D
	move.w #2,BLTDMOD		; D-Modulo
	move.w d6,d5
	addi.w #%0000100111110000,d5  
	move.w d5,BLTCON0     ; BPLTCON0 (ABC Kombinationen)
	move.w #$ffff,BLTAFWM       ; Maske(Beginn)
	move.w #$ffff,BLTALWM       ; Maske(Ende)
	move.w #25*64+25,BLTSIZE
	rts



sternon:
	move.l	#sternspace+4,a0	;Platz der Sterndaten 
	move.w	#$58,d1			;18Hoehe der Sternwand
loop2:	move.l	#$00010001,(a0)		;Farbe 1
	addq.l	#$8,a0			;zum naechsten Farbplatz
	move.l	#$00000001,(a0)		;Farbe 2
	addq.l	#$8,a0			;wie oben
	move.l	#$00010000,(a0)		;Farbe 3
	addq.l	#$8,a0			;wie oben
	dbf	d1,loop2		;Hoehe erreicht 
	clr.l	d3			;Zaehler auf 0
	move.l	#sternspace,a0		;Platz der Koordinaten
	move.b	#$1a,d0			;Hoehe 1. Stern
	move.b	#$52,d1			;
	move.w	#$62,d2			;54Hoehe Stw. * 3 Ebenen
loop3:	move.b	d0,(a0)			
	addq.b	#$1,d0			
	move.b	d0,$0002(a0)		
	add.b	d3,d1
	move.b	d1,$0001(a0)
	addi.b	#$01,d1
	addi.b	#$02,d3
	move.b	#$00,$0003(a0)
	addq.b	#$1,d0
	addq.l	#$8,a0
	dbf	d2,loop3
	rts

sterngo:
	move.l	#sternspace+1,a0	;1.Stern hoehenpos.
	move.w	#$58,d1			;wie oft pro Ebene
loop4:	addq.b	#1,(a0)			;+1 bei Stern Ebene 1
	addq.l	#8,a0			;naechster Stern
	addq.b	#2,(a0)			;+2 bei Stern Ebene 2
	addq.l	#8,a0			;
	addq.b	#3,(a0)			;+3 bei Stern Ebene 3
	addq.l	#8,a0			;
	dbf	d1,loop4		;alle 18 * 3 Sterne ?

	move.l	#sternspace,$dff120	;Sprite 1 setzen
	move.l	#leer1,$dff130		;muss nicht sein
	move.l	#leer1,$dff124
	move.l	#leer1,$dff128
	move.l	#leer1,$dff12c
	move.l	#leer1,$dff134
	move.l	#leer1,$dff138
	move.l	#leer1,$dff13c
	rts

multi_sin:
	move.l	#sssinus,a0
	move.l	#sssinus+720,a1
	move.l  #sssinus+1440,a2
	move.l  #359,d0

m_sin:
	move.w  (a0),(a1)+
	move.w  (a0)+,(a2)+
	dbf	d0,m_sin
	rts

CopperListe:
bp1h: 	dc.w $00e0,$0000
bp1l: 	dc.w $00e2,$0000
bp2h: 	dc.w $00e4,$0000
bp2l:	dc.w $00e6,$0000
bp3h:	dc.w $00e8,$0000
bp3l:	dc.w $00ea,$0000
bp4h:	dc.w $00ec,$0000
bp4l:	dc.w $00ee,$0000
bp5h:	dc.w $00f0,$0000
bp5l:	dc.w $00f2,$0000
bp6h:	dc.w $00f4,$0000
bp6l:	dc.w $00f6,$0000
	dc.w 	$008e,$2c61
	dc.w 	$0090,$39c9
	dc.w 	$0092,$0028
	dc.w 	$0094,$00d4      ;352
	dc.w 	$0096,$8020
	dc.w 	$0100,$6600
	dc.w 	$0104,$0040

shcop:
	dc.w 	$0102,$0077

modulo:
	dc.w 	$0108,$0007
	dc.w 	$010a,$0007
	dc.w	$01a2,$0eef
	dc.w    $01a4,$0aab
	dc.w    $01a6,$0778
	dc.w    $0192,$ffff,$0194,$dde,$0196,$ccd,$0198,$aab,$019a,$89a
	dc.w	$019c,$779,$019e,$668
green:	dcb.b	16*100+36,0
	dc.w 	$60e1,$fffe
	dc.w 	$0182,$00f0
	dc.w 	$0184,$00f0
	dc.w 	$0188,$00f0
	dc.w 	$dee1,$fffe
	dc.w 	$0100,$1200
	dc.w 	$0180,$0000
bp1h_2: dc.w $00e0,$0000
bp1l_2: dc.w $00e2,$0000
	dc.w 	$0182,$0000

	dc.w 	$e0e1,$fffe
	dc.w 	$0108,$00a3
	dc.w 	$0182,$0222		
	dc.w 	$e1e1,$fffe
	dc.w 	$0108,$006f
	dc.w 	$0182,$0333
	dc.w 	$e2e1,$fffe
	dc.w 	$0182,$0444
	dc.w 	$e3e1,$fffe
	dc.w 	$0182,$0444
	dc.w 	$e4e1,$fffe
	dc.w 	$0182,$0555		
	dc.w 	$e5e1,$fffe
	dc.w 	$0108,$003b
	dc.w 	$0182,$0666	
	dc.w 	$e7e1,$fffe
	dc.w 	$0182,$0777
	dc.w 	$e8e1,$fffe
	dc.w 	$0182,$0888
	dc.w 	$e9e1,$fffe
	dc.w 	$0182,$0999
	dc.w 	$eae1,$fffe
	dc.w 	$0182,$0aaa
	dc.w 	$ebe1,$fffe
	dc.w 	$0182,$0bbb
	dc.w 	$ece1,$fffe
	dc.w 	$0182,$0ccc

	dc.w	$ede1,$fffe
	dc.w 	$0108,$0007
	dc.w 	$0182,$0ddd

	dc.w 	$eee1,$fffe
	dc.w 	$0108,$003b
	dc.w 	$0182,$0eee

	dc.w 	$efe1,$fffe
	dc.w 	$0108,$0007
	dc.w 	$0182,$0fff		
	dc.w 	$ffe1,$fffe
	dc.w 	$0409,$fffe
	dc.w 	$0180,$0044
	dc.w 	$0509,$fffe
	dc.w 	$0180,$0088
	dc.w 	$0c09,$fffe
	dc.w 	$0180,$00aa
	dc.w 	$0d09,$fffe
	dc.w 	$0180,$0000
	dc.w 	$21e1,$fffe
	dc.w 	$0108,$003b		
	dc.w 	$22e1,$fffe
	dc.w 	$0108,$0007
	dc.w 	$23e1,$fffe
	dc.w 	$0108,$003b
	dc.w 	$24e1,$fffe
	dc.w 	$0182,$0eee
	dc.w 	$25e1,$fffe
	dc.w 	$0182,$0ddd
	dc.w 	$26e1,$fffe
	dc.w 	$0182,$0ccc
	dc.w 	$27e1,$fffe
	dc.w 	$0182,$0bbb
	dc.w 	$28e1,$fffe
	dc.w 	$0182,$0aaa
	dc.w 	$29e1,$fffe
	dc.w 	$0182,$0999
	dc.w 	$2ae1,$fffe
	dc.w 	$0182,$0888
	dc.w 	$2be1,$fffe
	dc.w 	$0182,$0777
	dc.w 	$0108,$006f
	dc.w 	$2ce1,$fffe
	dc.w 	$0182,$0666
	dc.w 	$2de1,$fffe
	dc.w 	$0182,$0555
	dc.w 	$2ee1,$fffe
	dc.w 	$0182,$0444
	dc.w 	$2fe1,$fffe
	dc.w 	$0182,$0333
	dc.w 	$30e1,$fffe
	dc.w 	$0182,$0222
	dc.w 	$0108,$00a3
	dc.w 	$31e1,$0008
	dc.w 	$0182,$0000
	dc.w 	$ffff,$fffe

CopperEnde:
	dc.l		0

hm=6

sm_text:
	dc.b "     crusaders new demo    "
	dc.b " iris olympia demo (1 meg) "
	dc.b "      mantronix intro      "
	dc.b "   storm blitter desaster  "
	dc.b "    supplex italy intro    "
	dc.b " zero defects just for war "
	dc.b $ff
	even

text: 
	dc.b "     hello folks... here is filippetto of savage with another "
	dc.b "mindblasting compilation called sandwich 5!!! hope you enjoy it. "
	dc.b "bye bye and see ya in the next savage production!           "
	dc.b $ff
	even  

c0:	dc.b	"df0:crusaders",10,"menu",0,0
c1:	dc.b	"df0:made",10,"menu",0,0
c2:	dc.b	"df0:max",10,"menu",0,0
c3:	dc.b	"df0:storm",10,"menu",0,0
c4:	dc.b	"df0:supplex",10,"menu",0,0
c5:	dc.b	"df0:war",10,"menu",0,0
c6:	dc.b	"df0:bootshop",10,"menu",0,0
c7:	dc.b	"df0:bootshop",10,"menu",0,0
c8:	dc.b	"df0:bootshop",10,"menu",0,0
c9:	dc.b	"df0:bootshop",10,"menu",0,0
c10:	dc.b	"df0:bootshop",10,"menu",0,0
c11:	dc.b	"df0:bootshop",10,"menu",0,0
c12:	dc.b	"df0:bootshop",10,"menu",0,0
c13:	dc.b	"df0:bootshop",10,"menu",0,0
c14:	dc.b	"df0:bootshop",10,"menu",0,0
c15:	dc.b	"df0:bootshop",10,"menu",0,0
c16:	dc.b	"df0:bootshop",10,"menu",0,0
c17:	dc.b	"df0:bootshop",10,"menu",0,0
c18:	dc.b	"df0:bootshop",10,"menu",0,0
c19:	dc.b	"df0:bootshop",10,"menu",0,0
c20:	dc.b	"df0:bootshop",10,"menu",0,0
c21:	dc.b	"df0:bootshop",10,"menu",0,0
c22:	dc.b	"df0:bootshop",10,"menu",0,0
c23:	dc.b	"df0:bootshop",10,"menu",0,0
c24:	dc.b	"df0:bootshop",10,"menu",0,0
c25:	dc.b	"df0:bootshop",10,"menu",0,0
c26:	dc.b	"df0:bootshop",10,"menu",0,0
c27:	dc.b	"df0:bootshop",10,"menu",0,0
c28:	dc.b	"df0:bootshop",10,"menu",0,0
	even

;>extern "df0:back.pic",screen1,416*256*3/8
;>extern "df0:sssinus",sssinus,720
;>extern "df0:alpha.pic",abcd,8000
;>extern "df0:small.pic",small_alpha,464
	
screen1: 	incbin	"back.pic" ;dcb.b 3*416*256/8,0
abcd: 		incbin	"alpha.pic"	;dcb.b 12000,254
sternspace:	dcb.b	2300,0	;Platz fuer Sterne
leer1:		dcb.b   20,0	;leere sprites
screen: 	dcb.w 3*416*256/8,0
screen2: 	dcb.w 1*416*70/8,0
auswahl: 	dcb.b	416*500/8,0

aus:

